#include<iostream>
#include<iomanip>

using namespace std;

void zamena_oba(double *a,int *b,int i,int j)
{
    double x;
    x=a[i];
    a[i]=a[j];
    a[j]=x;
    int y;
    y=b[i];
    b[i]=b[j];
    b[j]=y;
}

void Quicksort(double *a,int l,int d,int *b)
{
    if(l<d)
    {
        double pivot=a[d];


        int pozicija=l-1;
        int i;

        for(i=l; i<d; i++)
        {
            if(a[i]<pivot)
            {
                pozicija++;
                zamena_oba(a,b,i,pozicija);
            }
        }

        zamena_oba(a,b,d,pozicija+1);
        pozicija++;

        Quicksort(a,l,pozicija-1,b);
        Quicksort(a,pozicija+1,d,b);
    }
}


int main ()
{
    int n;
    cin>>n;
    double *p=new double[n];
    int *a=new int[n];
    double s=0;
    double maksporez=0;
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
        s+=a[i];
        cin>>p[i];
    }
    Quicksort(p,0,n-1,a);

    for(int i=0;i<n;i++){
        if(maksporez<s*p[i]/100)
            maksporez=s*p[i]/100;
        s-=a[i];
    }
    cout<< fixed << showpoint<< setprecision(4)<< maksporez;


    return 0;
}